require 'gitlab_kramdown'

module MdocsKramdown
  autoload :VERSION, 'mdocs_kramdown/version'
  autoload :Parser, 'mdocs_kramdown/parser'

  module Converter
    autoload :MdocsHtml, 'mdocs_kramdown/converter/mdocs_html'
  end
end

# Autoload extensions
Kramdown::Parser.autoload :MdocsKramdown, 'kramdown/parser/mdocs_kramdown'

# Custom HTML extensions
Kramdown::Converter::Html.prepend(MdocsKramdown::Converter::MdocsHtml)
